<?php

require_once 'MysqlConsulta.php';
require_once '../script_php/conexao.php';


$loja = $_POST['loja'];

$datainicio = $_POST['inicio'];
$datafinal = $_POST['final'];


$sql = new MysqlConsulta();
$dados = $sql->PrecoAlterado($loja);

// include autoloader do dompdf
require_once("dompdf/autoload.inc.php");

//buscando o nomespace
use Dompdf\Dompdf;

//Criando a Instancia
$dompdf = new DOMPDF();

$html = '<table style="font-size:12px">';

$html .= '<thead>';
$html .= '<tr style="background-color: coral;" >';
$html .= '<th>BARRAS</th>';
$html .= '<th>DESCRICAO</th>';

$html .= '<th>PRECO ATUAL</th>';
$html .= '</tr>';

//dados a serem impressos

foreach ($dados as $dado)
{


//$cadastro = $sql->buscarAlteracao($conexao,$dado['BARRAS'],$loja);


//informar preco e data de mudança
$sql->dataPrecoAlterado($conexao,$dado['PRECO_ATUALIZADO'],$loja,$dado['BARRAS'],$dado['DESCRICAO']);
}

$dados = $sql->PrecoAlteradoPorData($conexao,$loja,$datainicio,$datafinal);

foreach ($dados as $dado){

$html .= '<tr>';
$html .= '<td>' . $dado['BARRA'] . '</td>';
$html .= '<td>' . $dado['DESCRICAO'] .  '</td>';

$html .= '<td align=center> R$ ' . number_format($dado['PRECO'], 2, ',', '.' ) . '</td>';
$html .= '</tr>';
}

$html .= '</table>';

//escreva aqui o cabeçalho
$dompdf->load_html('
<img src="data:image/jpeg;base64,[encoded data, 258848 characters]" width="50 px"/>


    <hr>
    <h5 style="text-transform: uppercase;"> PREÇOS ALTERADOS NA EMPRESA: ' . $loja 
    . $html .'
');

 //Renderizar o html
 $dompdf->render();

 //Exibibir a página
 $dompdf->stream(
     "PRECO DE VENDA ALTERADO NA EMPRESA: $loja",
     array(
         "Attachment" => true //Para realizar o download somente alterar para true
     )
 );
